from setuptools import setup, find_packages
import codecs
import os


VERSION = '0.0.1.dev'
DESCRIPTION = 'Coding Assistance using ChatGPT from OpenAI'
LONG_DESCRIPTION = """
The coding assistance tool is a cutting-edge software application that leverages the power of ChatGPT, an advanced natural language processing technology developed by OpenAI.
This tool is designed to help PADS and UKY Statistics students, staff, and faculty write better code by providing them with real-time suggestions and feedback based on their coding patterns and syntax.
With its intuitive interface and powerful algorithms, this tool can analyze code in real-time and provide suggestions for improvements, making it an invaluable resource for anyone looking to improve their coding skills.
Whether you're a seasoned developer or just starting out, this coding assistance tool can help you write better code faster and more efficiently than ever before.
So why wait? Try it out today and see the difference it can make in your coding workflow!
<*generated by ChatGPT*>
"""

# Setting up
setup(
    name="pads_gpt_assistant",
    version=VERSION,
    author="Lee Park",
    author_email="<lee.park@uky.edu>",
    url = "https://github.com/leeparkuky/pads-coding-assistant",
    description=DESCRIPTION,
    long_description_content_type="text/markdown",
    long_description=LONG_DESCRIPTION,
    packages=find_packages(),
    install_requires=['openai', 'pandas'],
    keywords=['ChatGPT', 'Kentucky', 'Statistics', 'PADS', 'Coding Assistant'],
    python_requires = ">=3.7.1",
    license='Apache-2.0',
    classifiers=[
        "Development Status :: 1 - Planning",
        "Intended Audience :: Developers",
        "Programming Language :: Python :: 3",
        "Operating System :: Unix",
        "Operating System :: MacOS :: MacOS X",
        "Operating System :: Microsoft :: Windows",
    ]
)